#include <cstdio>
#include <algorithm>
using namespace std;

int main()
{
    char buf[4];
    while(~scanf("%s",buf))
        sort(buf,buf+3),printf("%c %c %c\n",buf[0],buf[1],buf[2]);
    return 0;
}
